USN-6574-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6574-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6574-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6574-1
Related
Published
2024-01-11T05:30:24.861328Z
Modified
2024-01-11T05:30:24.861328Z
Summary
Go vulnerabilities
Details

Takeshi Kaneko discovered that Go did not properly handle comments and special tags in the script context of html/template module. An attacker could possibly use this issue to inject Javascript code and perform a cross site scripting attack. This issue only affected Go 1.20 in Ubuntu 20.04 LTS, Ubuntu 22.04 LTS and Ubuntu 23.04. (CVE-2023-39318, CVE-2023-39319)

It was discovered that Go did not properly validate the "//go:cgo_" directives during compilation. An attacker could possibly use this issue to inject arbitrary code during compile time. (CVE-2023-39323)

It was discovered that Go did not limit the number of simultaneously executing handler goroutines in the net/http module. An attacker could possibly use this issue to cause a panic resulting into a denial of service. (CVE-2023-39325, CVE-2023-44487)

It was discovered that the Go net/http module did not properly validate the chunk extensions reading from a request or response body. An attacker could possibly use this issue to read sensitive information. (CVE-2023-39326)

It was discovered that Go did not properly validate the insecure "git://" protocol when using go get to fetch a module with the ".git" suffix. An attacker could possibly use this issue to bypass secure protocol checks. (CVE-2023-45285)

References

Affected packages

Ubuntu:20.04:LTS / golang-1.20

Package

Name
golang-1.20

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.20.3-1ubuntu0.1~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "golang-1.20-src": "1.20.3-1ubuntu0.1~20.04.1",
            "golang-1.20": "1.20.3-1ubuntu0.1~20.04.1",
            "golang-1.20-doc": "1.20.3-1ubuntu0.1~20.04.1",
            "golang-1.20-go": "1.20.3-1ubuntu0.1~20.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / golang-1.21

Package

Name
golang-1.21

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.21.1-1~ubuntu20.04.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "golang-1.21-doc": "1.21.1-1~ubuntu20.04.2",
            "golang-1.21": "1.21.1-1~ubuntu20.04.2",
            "golang-1.21-src": "1.21.1-1~ubuntu20.04.2",
            "golang-1.21-go": "1.21.1-1~ubuntu20.04.2"
        }
    ]
}

Ubuntu:22.04:LTS / golang-1.20

Package

Name
golang-1.20

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.20.3-1ubuntu0.1~22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "golang-1.20-src": "1.20.3-1ubuntu0.1~22.04.1",
            "golang-1.20": "1.20.3-1ubuntu0.1~22.04.1",
            "golang-1.20-doc": "1.20.3-1ubuntu0.1~22.04.1",
            "golang-1.20-go": "1.20.3-1ubuntu0.1~22.04.1"
        }
    ]
}

Ubuntu:22.04:LTS / golang-1.21

Package

Name
golang-1.21

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.21.1-1~ubuntu22.04.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "golang-1.21-doc": "1.21.1-1~ubuntu22.04.2",
            "golang-1.21": "1.21.1-1~ubuntu22.04.2",
            "golang-1.21-src": "1.21.1-1~ubuntu22.04.2",
            "golang-1.21-go": "1.21.1-1~ubuntu22.04.2"
        }
    ]
}

Ubuntu:23.10 / golang-1.20

Package

Name
golang-1.20

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.20.8-1ubuntu0.23.10.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "golang-1.20-src": "1.20.8-1ubuntu0.23.10.1",
            "golang-1.20": "1.20.8-1ubuntu0.23.10.1",
            "golang-1.20-doc": "1.20.8-1ubuntu0.23.10.1",
            "golang-1.20-go": "1.20.8-1ubuntu0.23.10.1"
        }
    ]
}

Ubuntu:23.10 / golang-1.21

Package

Name
golang-1.21

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.21.1-1ubuntu0.23.10.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "golang-1.21-doc": "1.21.1-1ubuntu0.23.10.1",
            "golang-1.21": "1.21.1-1ubuntu0.23.10.1",
            "golang-1.21-src": "1.21.1-1ubuntu0.23.10.1",
            "golang-1.21-go": "1.21.1-1ubuntu0.23.10.1"
        }
    ]
}